IfTask.ElseIf (Ant Contrib)
Keywords: net.sf.antcontrib.logic.IfTask.ElseIf,IfTask.ElseIf class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic
Class IfTask.ElseIf

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.taskdefs.condition.ConditionBase
                  |
                  +--net.sf.antcontrib.logic.IfTask.ElseIf

Enclosing class:
  IfTask

public static final class IfTask.ElseIf
extends org.apache.tools.ant.taskdefs.condition.ConditionBase

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IfTask.ElseIf()`

Method Summary
`void` | `addThen(org.apache.tools.ant.taskdefs.Sequential t)`
`boolean` | `eval()`
`void` | `execute()`

Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase
`addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfTask.ElseIf

    public IfTask.ElseIf()

Method Detail

### addThen

    public void addThen(org.apache.tools.ant.taskdefs.Sequential t)

### eval

    public boolean eval()
                 throws org.apache.tools.ant.BuildException

    `org.apache.tools.ant.BuildException`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD